Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Problemas na instalação do vlc 0.9.9 no Lenny 5.05
02/03/2011, 10:53
Resposta: #1
Problemas na instalação do vlc 0.9.9 no Lenny 5.05
Bom dia a todos! Segui os passos indicados no link abaixo para realizar a instalaçao do VLC 0.9.9 no meu Debian Lenny 5.0.5, visto que, através do apt-get install vlc mozilla-plugin-vlc não estar instalando. Segui todos os itens e no momento da compilação após executar o comando make-install recebo a seguinte mensagem no final do processo e não instala o aplicativo:
make install-am
make[6]: Entrando no diretório `/home/carl/install/vlc-0.9.9/modules/video_output/x11'
/bin/sh ../../../libtool --tag=CC --mode=compile gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../../.. -I../../../include -I../../../include -DSYS_LINUX `top_builddir="../../.." ../../../vlc-config --cflags plugin libglx_plugin_la-glx.lo` -Wall -Wextra -Wsign-compare -Wundef -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wvolatile-register-var -MT libglx_plugin_la-glx.lo -MD -MP -MF .deps/libglx_plugin_la-glx.Tpo -c -o libglx_plugin_la-glx.lo `test -f 'glx.c' || echo './'`glx.c
libtool: compile: gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../../.. -I../../../include -I../../../include -DSYS_LINUX -I/usr/local/include -D_FILE_OFFSET_BITS=64 -D__USE_UNIX98 -D_LARGEFILE64_SOURCE -D_REENTRANT -D_THREAD_SAFE -D__LIBVLC__ -D__PLUGIN__ -DMODULE_NAME=glx -DMODULE_NAME_IS_glx -DMODULE_STRING=\"glx\" -O3 -ffast-math -funroll-loops -mtune=pentium2 -fomit-frame-pointer -Wall -Wextra -Wsign-compare -Wundef -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wvolatile-register-var -MT libglx_plugin_la-glx.lo -MD -MP -MF .deps/libglx_plugin_la-glx.Tpo -c glx.c -fPIC -DPIC -o .libs/libglx_plugin_la-glx.o
glx.c:49:36: error: X11/extensions/XShm.h: Arquivo ou diretório não encontrado
In file included from glx.c:57:
xcommon.h:355: error: expected specifier-qualifier-list before ‘XShmSegmentInfo’
make[6]: ** [libglx_plugin_la-glx.lo] Erro 1
make[6]: Saindo do diretório `/home/carl/install/vlc-0.9.9/modules/video_output/x11'
make[5]: ** [install] Erro 2
make[5]: Saindo do diretório `/home/carl/install/vlc-0.9.9/modules/video_output/x11'
make[4]: ** [install-recursive] Erro 1
make[4]: Saindo do diretório `/home/carl/install/vlc-0.9.9/modules/video_output'
make[3]: ** [install] Erro 2
make[3]: Saindo do diretório `/home/carl/install/vlc-0.9.9/modules/video_output'
make[2]: ** [install-recursive] Erro 1
make[2]: Saindo do diretório `/home/carl/install/vlc-0.9.9/modules'
make[1]: ** [install-recursive] Erro 1
make[1]: Saindo do diretório `/home/carl/install/vlc-0.9.9'
make: ** [install] Erro 2

Não consigo encontrar uma saída para isso, foi vericar o diretório x11/extensions e ele realmente não existe, já descompactei o arquivo vlc-0.9.9.tar.bz2 novamente e sempre otenho o mesmo resultado.

O que posso fazer para conseguir instalar o VLC nesta distribuição? Em minha casa tenho o Lenny 5 instalado e lá eu consegui instalar o VLC aqui no meu serviço instalei o 5.0.5 e o VLC não instala de jeito nenhum.

Carlos Henrique
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
02/03/2011, 11:33
Resposta: #2
[Resolvido] Problemas na instalação do vlc 0.9.9 no Lenny 5.
Consegui resolver o problema.
Estava com problemas nos links dos repositorios no meu sources.list, editei o arquivo e consegui instalar normalmente.

Obrigado.

Carlos Henrique
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS